Subject: bug#13495: Compilation fails on Mac OS X 10.8.0

From: Assaf Gordon <[email-masked]>
Date: Fri, 18 Jan 2013 17:32:47 -0500

Hello,

Trying to compile the latest coreutils on Mac OS X, I get the following compilation error:

    $ ./configure
    [ works OK ]
    $ make
    [ ... ]
      CC       lib/stpncpy.o
    lib/stpncpy.c:34: error: expected declaration specifiers or '...' before numeric constant
    lib/stpncpy.c:34: error: expected ')' before '!=' token
    lib/stpncpy.c:34: error: expected ')' before '?' token
    make[2]: *** [lib/stpncpy.o] Error 1
    make[1]: *** [all-recursive] Error 1
    make: *** [all] Error 2

This happens with the released version 8.20, and also with "8.20.90-e27bfd" (I had to git-pull on another machine and do "make dist" to generate it).

The compiler is (From Apple's Xcode-452-command-line-tools package):
     $ clang --version
     Apple clang version 4.1 (tags/Apple/clang-421.11.66) (based on LLVM 3.1svn)
     Target: x86_64-apple-darwin10.8.0
     Thread model: posix

The OS is:
     $ uname -a
     Darwin minimacc.local 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386

I can provide more details if needed.

Regards,
 -gordon